package com.sw.mes.yb.wms.service;

import com.sw.mes.core.dto.RankResultDto;
import com.sw.mes.core.response.Result;
import com.sw.mes.yb.wms.dto.*;
import com.sw.mes.yb.wms.utils.ResultWmsDto;

/**
 * @Author: GaoXinJian
 * @Date: 2022-03-08 16:28
 */
public interface RatingResultService {

    ResultWmsDto ratingResult(RankResultDto rankResultDto);

    ResultWmsDto roundSNReverse(WmsRequest<RoundSNReverseDto> roundSNReverseDto);

    Result inventoryFeedback(WmsRequest<Body> inentoryFeedbackDto);

    Result squareOrder(WmsRequest<SquareOrderBodyDto>  SquareOrderDto);

    /**
     * 处理wms拼棒锁定与解锁
     * @param orderLockDto
     * @return
     */
    Result dealLockOrder(WmsRequest<OrderLockBodyDto> orderLockDto);

}
